﻿:root {
    --locType-w: #BF9000; /*חרדל*/
    --locType-s: #8497B0; /*אפור*/
    --locType-c: #548235; /*ירוק*/
}

input[type=checkbox] {
    width: 18px;
    height: 18px;
    min-width: 18px;
    min-height: 18px;
    border: 2px solid #737373;
    background: transparent;
    border-radius: 2px;
    cursor: pointer;
}

/*#map {*/
    /* height: calc(100vh - 149px);
    top: 149px;*/
    /*height: 100%;
}*/

#GeoSearchResultsSection.PNX_MANUSCRIPTS #map{
    height:calc(100% - 49px);
    top:49px;
}

#GeoSearchResultsSection.JERUSALEM #map {
    height: calc(100% - 100px);
    top:100px;
}

#GeoSearchResultsSection.JERUSALEM .btnLocTypes{
    display:none;
}

#resultsList::-webkit-scrollbar, #facetsList::-webkit-scrollbar {
    width: 10px;
}

/* Track */
#resultsList::-webkit-scrollbar-track, #facetsList::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
#resultsList::-webkit-scrollbar-thumb, #facetsList::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 5px;
}

    /* Handle on hover */
    #resultsList::-webkit-scrollbar-thumb:hover, #facetsList::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

.update-on-zoom {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 5px;
    border-top: 1px solid #dadce0;
}

    .update-on-zoom label {
        margin: 0;
    }

.leaflet-container a {
    color: inherit;
}

.markercluster-list .table-wrapper table tbody tr {
    background-color: white;
    border-bottom: 2px solid rgba(0,0,0,0.4);
}

    .markercluster-list .table-wrapper table tbody tr.cluster-list-row-even {
        background-color: white;
        border-bottom: 2px solid rgba(0,0,0,0.4);
    }

#mapContainer #marker-cluster-list-content {
    /*resize: both;
    overflow: auto;*/
    height: 100%;
    max-width: 1200px;
    min-width: 350px;
    min-height: 200px;
    direction: ltr;
    border-radius: 8px
}

    #mapContainer #marker-cluster-list-content .table-wrapper {
        width: 100%;
        max-height: unset;
        direction: rtl;
        height: 99%;
        border-radius: 8px;
    }

.custom-autocomplete {
    position: relative;
    right: 38px;
    /*    top: 68px !important;*/
    width: 279px !important;
    left: unset !important;
    border-top: none !important;
    max-height: 300px;
    overflow-x: hidden;
}


    .custom-autocomplete::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        border-radius: 8px;
        background-color: #f1f1f1;
    }

    .custom-autocomplete::-webkit-scrollbar {
        width: 8px;
        background-color: #F5F5F5;
    }

    .custom-autocomplete::-webkit-scrollbar-thumb {
        border-radius: 8px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: #888;
    }

        .custom-autocomplete::-webkit-scrollbar-thumb:hover {
            background: #555;
        }

.markercluster-list .table-wrapper {
    max-height: 100%;
    overflow-y: unset;
}

.markercluster-list.leaflet-bar.leaflet-control.ui-resizable {
    position: absolute;
    width: 700px;
    max-width: 1200px;
    min-width: 350px;
    max-height: 450px;
    /*    height: 200px;*/
    overflow-y: scroll;
    overflow-x: hidden;
}


    .markercluster-list.leaflet-bar.leaflet-control.ui-resizable::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        border-radius: 8px;
        background-color: #f1f1f1;
    }

    .markercluster-list.leaflet-bar.leaflet-control.ui-resizable::-webkit-scrollbar {
        width: 8px;
        background-color: #F5F5F5;
    }

    .markercluster-list.leaflet-bar.leaflet-control.ui-resizable::-webkit-scrollbar-thumb {
        border-radius: 8px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: #888;
    }

        .markercluster-list.leaflet-bar.leaflet-control.ui-resizable::-webkit-scrollbar-thumb:hover {
            background: #555;
        }

.markercluster-list {
    background-color: lightgrey;
    position: absolute;
    left: unset;
    right: unset;
    top: unset;
    z-index: 9999;
}

#closeBtn {
    width: 18px;
    height: 18px;
}

#resultTableHeader {
    cursor: move;
    position: sticky;
    top: 0;
    background: #043055;
    color: white;
}

    #resultTableHeader tbody {
        overflow-y: scroll;
    }

.cluster-list-header {
    display: flex;
    text-align: start;
    gap:10px;
}

    .cluster-list-header .thumbnail {
        width: 85px;
        text-align: right;
    }

    .cluster-list-header .title {
        width: calc(35% - 95px);
    }

    .cluster-list-header .publisher {
        width: calc(25% - 2px);
        padding-left: 2px;
    }

    .cluster-list-header .date {
        width: calc(15% - 2px);
        padding-left: 2px;
    }

    .cluster-list-header .creator {
        width: calc(20% - 2px);
        padding-left: 2px;
    }

    .cluster-list-header .source {
        width: 20%;
    }

    .cluster-list-header .type {
        width: 10%;
    }

/*this hides a blue circle that sometimes appears on the map*/
.leaflet-pane.leaflet-map-pane .leaflet-zoom-animated path.markercluster-list-marker.leaflet-interactive{
    display:none;
}


.leaflet-popup-content-wrapper {
    min-width: 350px;
}

.popUpContainer {
    display: flex;
    text-align: start;
    gap: 10px;
    font-size: 16px;
    align-items: center;
}

    .popUpContainer.single {
        flex-direction: column;
        align-items: unset;
    }

    .popUpContainer span.title {
        width: calc(35% - 85px);
        padding-left: 10px;
        cursor: pointer;
    }

    .popUpContainer.single span.title {
        width: unset;
    }

    .popUpContainer span.title a {
        width: 100%;
        height: 100%;
        text-decoration: underline;
        text-align: start;
        margin-right: 5px;
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
    }

    .popUpContainer span.publisher {
        width: calc(25% - 2px);
        padding-left: 2px;
    }

    .popUpContainer.single span.publisher {
        width: unset;
    }

    .popUpContainer span.creationDate {
        width: calc(15% - 2px);
        padding-left: 2px;
    }

    .popUpContainer.single span.creationDate {
        width: unset;
    }

    .popUpContainer span.creator {
        width: calc(20% - 2px);
        padding-left: 2px;
    }

    .popUpContainer.single span.creator {
        width: unset;
    }

    .popUpContainer span.source {
        width: 20%;
    }

    .popUpContainer.single span.source {
        width: unset;
    }

    .popUpContainer span.type {
        width: 10%;
    }

    .popUpContainer.single span.type {
        width: 100%;
    }

    .popUpContainer img {
        width: 75px;
        align-self: center;
        height: 75px;
        min-width: 75px;
        max-width: 75px;
        align-self: center;
        min-height: 75px;
        max-height: 75px;
    }

    .popUpContainer h4 {
        margin-top: 8px;
        margin-bottom: 0px;
    }

.sideBarItemContainer.selected {
    border: 2px solid #043055;
}

.sideBarItemContainer img {
    width: 90px;
    height: 90px;
}

.sideBarItemContainer .form-check {
    padding: 0;
}

.sideBarItemContainer:hover img, .sideBarItemContainer:hover .sideBarContent {
    background-color: rgba(60,64,67,.04);
    outline: none;
}

.sideBarContent {
    width: calc(100% - 90px);
    padding-right: 5px;
}

    .sideBarContent.selectResults {
        width: calc(100% - 110px);
    }

    .sideBarContent span:first-child {
        display: flex;
        flex-direction: column;
    }

        .sideBarContent span:first-child a {
            font-size: 13px;
            font-weight: 700;
            text-decoration: underline;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }

    .sideBarContent span span {
        font-size: 12px;
    }

.popUpContainer.single img {
    align-self: unset;
}

.popUpContainer span h4 {
    font-size: 13px;
    font-weight: 600;
}

.visible {
    visibility: visible !important;
}

.d-none {
    display: none !important;
}

#GeoSearchResultsSection {
    /*    margin-top: 20px;*/
    display: flex;
    flex-direction: column;
    z-index: 1;
    /*  full screen mode */
    margin-top: 0;
}


.comp-footer {
    padding-top: 2.5rem;
    font-family: 'Assistant', sans-serif;
    position: absolute;
    top: 100%;
    padding-top: unset !important;
    width: 100%;
}

.leaflet-top.leaflet-left {
    top: 10px;
}

.leaflet-top.leaflet-right {
    /*    top: 322px;*/
    right: unset;
    left: 10px;
    /*  full screen mode */
    top: 410px;
}

.leaflet-control-layers-expanded {
    padding: 2px !important;
    margin-right: -50px !important;
    direction: ltr !important;
}

    .leaflet-control-layers-expanded .leaflet-control-layers-list {
        width: 120px !important;
    }

.leaflet-control-layers-base {
    text-align: left;
    width: 150px;
}

i.langBtn, i.clearBtn, i.exportBtn {
    font-size: 18px;
    color: white;
}


#GeoSearchResultsSection .searchAndClearContainer {
    /*    z-index: 3;*/
    pointer-events: none;
    transition: right .5s ease-out;
    position: absolute;
    right: 10px;
    width: 75%;
    /*  full screen mode */
    top: 20px;
    z-index: 9999;
}

    #GeoSearchResultsSection .searchAndClearContainer.toggle-results {
        right: -355px;
    }

    #GeoSearchResultsSection .searchAndClearContainer div:not(.dropdown) {
        flex: 1;
    }

    #GeoSearchResultsSection .searchAndClearContainer div.search {
        flex: 0.4;
        pointer-events: all;
        max-width: 355px;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        height: 70px;
    }

    #GeoSearchResultsSection .searchAndClearContainer div.actionContainer {
        display: flex;
        justify-content: flex-end;
        height: 48px;
        margin-right: 67px;
    }

div.actionContainer .dropdown, div.actionContainer .clearButton {
    pointer-events: all;
}

#GeoSearchResultsSection .searchAndClearContainer div .clearButton {
    width: fit-content;
    padding: 0px 40px;
    border-radius: 8px;
    margin-left: 10px;
    color: white;
    transition: none;
}

    #GeoSearchResultsSection .searchAndClearContainer div .clearButton:hover, #GeoSearchResultsSection .searchAndClearContainer div .clearButton:hover i.clearBtn {
        color: #69a2d1;
    }


#GeoSearchResultsSection .searchAndClearContainer div .exportToExcelButton {
    border-radius: 8px;
    margin-left: 5px;
}

    #GeoSearchResultsSection .searchAndClearContainer div .exportToExcelButton:hover i.exportBtn {
        color: #69a2d1;
    }

#GeoSearchResultsSection .searchAndClearContainer div .langButton {
    border-radius: 8px;
    margin-left: 12px;
}

    #GeoSearchResultsSection .searchAndClearContainer div .langButton:hover i.langBtn {
        color: #69a2d1;
    }

#GeoSearchResultsSection svg {
    width: initial;
    height: initial;
    margin-bottom: 2px;
    fill: white;
}

    #GeoSearchResultsSection svg#closeBtn {
        width: 18px;
        height: 18px;
        cursor: pointer;
    }


#GeoSearchResultsSection .search {
    height: 48px;
    /*margin-bottom: 7px;*/
    display: flex;
}

#GeoSearchResultsSection .ListAndMapContainer {
    display: flex;
    width: 100%;
    height: calc(100% - 100px);
    position: absolute;
    /*    top: 100px;*/
    /* full screen mode */
    top: 68px;
}



    #GeoSearchResultsSection .ListAndMapContainer #ResultTable {
        flex: 1;
    }

        #GeoSearchResultsSection .ListAndMapContainer #ResultTable #TableHead span {
            font-weight: 800;
            border-radius: 8px;
            padding-right: 6px;
            background: #043055;
            color: white;
            min-height: 30px;
            display: flex;
            align-items: center;
            width: 96%;
        }

    #GeoSearchResultsSection .ListAndMapContainer #map {
        flex: 3;
        z-index: 1;
    }

    #GeoSearchResultsSection .ListAndMapContainer #TableBody {
        display: flex;
        flex-direction: column;
        max-height: 568px;
        overflow-y: auto;
        margin-top: 4px;
        margin-left: 1px;
    }

        #GeoSearchResultsSection .ListAndMapContainer #TableBody #point_item {
            border-radius: 8px;
            padding-right: 6px;
            margin-bottom: 4px;
            background: #6f99de;
            color: white;
            min-height: 30px;
            display: flex;
            align-items: center;
        }

#GeoSearchResultsSection .inputContainer {
    border-top: 1px solid #dadce0;
    border-bottom: 1px solid #dadce0;
    border-right: 1px solid #dadce0;
    display: flex;
    align-items: center;
    /*    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;*/
}

    #GeoSearchResultsSection .inputContainer.open {
        border-bottom-right-radius: unset;
        border-bottom-left-radius: unset;
    }

    #GeoSearchResultsSection .inputContainer .clearSearchXBtn {
        width: 10%;
        background: white;
        height: 100%;
        display: flex;
        align-items: center;
        font-size: 25px;
        color: #6c757d;
        justify-content: space-around;
    }

        #GeoSearchResultsSection .inputContainer .clearSearchXBtn:hover {
            cursor: pointer;
        }

        #GeoSearchResultsSection .inputContainer .clearSearchXBtn #searchCloseBtn.showbtn {
            display: block !important;
            fill: gray;
            opacity: 0.7;
            height: 15px;
            width: 15px;
        }

#GeoSearchResultsSection input.autoCompleteList {
    border: unset;
    width: 91%;
    height: 100%;
    padding-right: 10px;
    font: 16px "Assistant", sans-serif;
}

    #GeoSearchResultsSection input.autoCompleteList.open {
        border-bottom-right-radius: unset;
        border-bottom-left-radius: unset;
    }

#GeoSearchResultsSection button:not(.dropdown-item) {
    background: #043055;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
}

#GeoSearchResultsSection .dropdown .swithchSearchBtn {
    width: 100%;
    height: 100%;
    font-weight: 700;
    color: #69a2d1;
    border-radius: 0 8px 8px 0;
}


    #GeoSearchResultsSection .dropdown .swithchSearchBtn.open {
        border-radius: 0 8px 0 0;
    }

#GeoSearchResultsSection button:hover svg {
    fill: #69a2d1;
}

#GeoSearchResultsSection input.autoCompleteList:focus-visible {
    outline: unset;
}

#GeoSearchResultsSection .dropdown-menu {
    left: -3px;
}

#GeoSearchResultsSection.PNX_MANUSCRIPTS .leaflet-control-layers.leaflet-control{
    display:none;
}

#GeoSearchResultsSection .dropdown-menu li {
    text-align: start;
    padding: 5px;
    width: 175px;
    cursor:pointer;
}

    #GeoSearchResultsSection .dropdown-menu li:hover {
            background: lightgray;
        }

    #GeoSearchResultsSection .dropdown-menu li.selected-li {
        background-color: lightgray;
    }
.dropdown-toggle::after {
    display: none !important;
}

.leaflet-marker-icon.location-pin.leaflet-zoom-animated.leaflet-interactive {
    width: unset !important;
    height: unset !important;
    margin-left: unset !important;
    margin-top: unset !important;
    padding: unset;
    top: -36px;
    left: -18px;
}

    .leaflet-marker-icon.location-pin.leaflet-zoom-animated.leaflet-interactive:hover {
        position: absolute;
        /* top: -9px;
        left: -4px;*/
        top: -36px;
        left: -18px;
    }

    .leaflet-marker-icon.location-pin.leaflet-zoom-animated.leaflet-interactive.open {
        display: none !important;
    }

#GeoSearchResultsSection .location-pin.locType-w svg,
#GeoSearchResultsSection .location-pin.locType-w:hover svg,
#GeoSearchResultsSection .location-pin.locType-w.marker-cluster-hover svg,
#GeoSearchResultsSection .location-pin.locType-w.single-selected svg {
    fill: var(--locType-w);
}

#GeoSearchResultsSection .location-pin.locType-s svg,
#GeoSearchResultsSection .location-pin.locType-s:hover svg,
#GeoSearchResultsSection .location-pin.locType-s.marker-cluster-hover svg,
#GeoSearchResultsSection .location-pin.locType-s.single-selected svg {
    fill: var(--locType-s);
}

#GeoSearchResultsSection .location-pin.locType-c svg,
#GeoSearchResultsSection .location-pin.locType-c:hover svg,
#GeoSearchResultsSection .location-pin.locType-c.single-selected svg,
#GeoSearchResultsSection .location-pin.locType-c.marker-cluster-hover svg{
    fill: var(--locType-c);
}

.location-pin span {
    position: absolute;
    top: 12%;
    right: 41%;
    color: white;
}

.location-pin.two-digits span {
    right: 31%;
}

.location-pin.two-digits:hover span {
    right: 35%;
}

.location-pin.two-digits.star span {
    top: 30%;
}

.location-pin.three-digits span {
    right: calc(50% - 9px);
    top: 15%;
}

.location-pin.star.three-digits span {
    right: calc(50% - 9px);
    top: 31%;
}

.location-pin.four-digits span {
    right: 24%;
    top: 31%;
}


.location-pin div.circle {
    width: 11px;
    height: 11px;
    background: white;
    border-radius: 50%;
    position: absolute;
    top: 20%;
    left: calc(50% - 5.5px);
}

.leaflet-marker-icon.location-pin.leaflet-zoom-animated.leaflet-interactive:hover div.circle {
    width: 15px;
    height: 15px;
    left: calc(50% - 7.5px)
}

.location-pin.single-selected div.circle {
    /*    background: #30beee;*/
}

#mapContainer.open .toolbar-arrow-left {
    display: none;
}

#mapContainer:not(.open) .toolbar-arrow-right {
    display: none;
}

.toolbar-arrow-right {
    color: white;
    font-size: 22px;
}

.toolbar-arrow-left {
    color: white;
    font-size: 22px;
}

#GeoSearchResultsSection .sqlRecordId {
    display: none;
}

#GeoSearchResultsSection .coordinates {
    top: -23px;
    position: absolute;
    color: white;
    left: 15px;
    z-index: 1;
    background: #043055;
    border-radius: 5px;
    font-size: 15px;
    padding-right: 3px;
    padding-left: 3px;
    /*  full screen mode */
    z-index: 9999;
}

#GeoSearchResultsSection .location-pin svg {
    fill: #30beee;
    width: 36px;
    height: 36px;
}

#GeoSearchResultsSection .marker-cluster-selected.location-pin svg {
    /*fill: #043055 !important */ /*#30beee*/

    stroke: red !important;
    stroke-width: 3px !important;
}

#GeoSearchResultsSection .location-pin:hover svg {
    fill: #5598f1;
    height: 40px;
    width: 40px;
}

#GeoSearchResultsSection .marker-cluster-hover.location-pin svg {
    fill: #5598f1;
    /*    position: absolute;
    top: -9px;
    left: -4px;*/
}

#GeoSearchResultsSection .marker-cluster-hover.location-pin .circle {
    /*    left: 8px;
    position: absolute;
    z-index: 999;
    top: -1px;*/
}

#GeoSearchResultsSection .marker-cluster-hover.location-pin.star svg {
    fill: darkgreen;
    /*    position: absolute;
    top: -9px;
    left: -4px;*/
}

/*#GeoSearchResultsSection .marker-cluster-hover.location-pin.star span {
    left: 4px;
    top: 2px;
    right: unset;
    position: absolute;
    z-index: 999;
}*/

#GeoSearchResultsSection .location-pin.star svg {
    fill: green;
}

#GeoSearchResultsSection .location-pin.three-digits.star svg {
    height: 40px;
    width: 40px;
}

#GeoSearchResultsSection .location-pin.three-digits.star:hover svg {
    height: 45px;
    width: 45px;
}

#GeoSearchResultsSection .location-pin.four-digits.star svg {
    height: 50px;
    width: 50px;
}


#GeoSearchResultsSection .location-pin.single-selected svg {
    fill: #30beee;
}

#GeoSearchResultsSection .marker-cluster-selected.location-pin span {
    color: white;
}

#GeoSearchResultsSection .marker-cluster-hover.location-pin span {
    color: white;
    /*    right: unset;
    left: 9px;
    z-index: 999;
    top: -5px;*/
}

/*#GeoSearchResultsSection .marker-cluster-hover.location-pin.two-digits span {
    left: 6px;
}*/

.cluster-list-header {
    padding: unset;
}

#toolbar {
    position: absolute;
    z-index: 2;
    box-sizing: border-box;
    transition: right .5s ease-out;
    right: -355px;
    display: flex;
    width: 355px;
    top: 68px;
    flex-direction: column-reverse;
    background: white;
    font: 16px "Assistant", sans-serif;
    /*  full screen mode */
    top: 0;
    z-index: 999;
}

    #toolbar.open {
        right: 10px;
       
    }

.resultsContainer::-webkit-scrollbar, #facetsList::-webkit-scrollbar {
    width: 10px;
}

/* Track */
.resultsContainer::-webkit-scrollbar-track, #facetsList::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
.resultsContainer::-webkit-scrollbar-thumb, #facetsList::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 5px;
}

    /* Handle on hover */
    .resultsContainer::-webkit-scrollbar-thumb:hover, #facetsList::-webkit-scrollbar-thumb:hover {
        background: #555;
    }


.resultsMessagesContainer {
    padding: 10px 5px;
    border-bottom: 1px solid #dadce0;
}

#facets {
    height: 100%;
}

#resutls {
    height: 100%;
}

#toolbar ul {
    padding: 0;
    overflow: auto;
    box-shadow: inset 0 14px 10px -10px rgba(60,64,67,0.28);
}

    #toolbar ul#resultsList {
        height: 445px;
    }

    #toolbar ul#facetsList {
        padding-left: 20px;
        padding-right: 20px;
        height: 485px;
      
        margin: 0;
    }

        #toolbar ul#facetsList li:last-child {
            margin-bottom: 50px;
            justify-content: flex-start;
            gap: 20px;
        }

#toolbar li {
    list-style-type: none;
    padding: 3px 3px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    max-width: 100%;
}

    #toolbar li.facetItem {
        display: flex;
        align-items: center;
    }

    #toolbar li:not(.activeFacetsContainer):hover {
        color: #666;
    }

li.facetGroup {
    font-size: 15px;
    font-weight: 100;
    color: #8b9bad;
    text-transform: uppercase;
    letter-spacing: 1px;
}


li.facetItem div:first-child {
    display: flex;
    align-items: center;
    max-width: calc(100% - 30px);
}

    li.facetItem div:first-child span {
        margin-right: 4px;
        text-overflow: ellipsis;
        overflow: hidden;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 2;
    }


#toolbar .resultsContainer {
    width: 355px;
    background: rgba(255, 255, 255, 1);
}

#toolbar.open .resultsContainer {
    right: 0;
}

#toolbar .sideBtnsContainer {
    opacity: 0;
}

#toolbar.open .sideBtnsContainer {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    opacity: 1;
    margin: 10px 5px;
}

    #toolbar.open .sideBtnsContainer .switchContent {
        height: 28px;
        width: 48%;
        background: #fff;
        box-shadow: 0 1px 2px rgba(60, 64, 67,0.3), 0 1px 3px 1px rgba(60, 64, 67,0.15);
        border: none;
        border-radius: 6px;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
    }

        #toolbar.open .sideBtnsContainer .switchContent.results-btn {
            background: rgb(85, 85, 85, 0.50)
        }
    /*        #toolbar.open .sideBtnsContainer .switchContent .facets-btn {
        }*/

    #toolbar.open .sideBtnsContainer .switchContent2 {
        display: flex;
        gap: 10px;
    }

        #toolbar.open .sideBtnsContainer .switchContent2 button {
            height: 28px;
            background: #fff;
            box-shadow: 0 1px 2px rgba(60, 64, 67,0.3), 0 1px 3px 1px rgba(60, 64, 67,0.15) !important;
            border: none;
            border-radius: 6px;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            min-width: 68px;
        }

    #toolbar.open .sideBtnsContainer .switchContent:hover {
        background: #fff;
        border: 0;
        box-shadow: 0 1px 2px rgba(60,64,67, 0.3), 0 2px 6px 2px rgba(60, 64, 67, 0.15);
        background-color: #f7f7f7;
    }



#mapContainer .hamburger {
    height: 100px;
    width: 25px;
    background: #043055;
    box-shadow: 1px 0 2px rgba(0, 0, 0, .3);
    position: absolute;
    right: -25px;
    top: 35%;
    border-radius: 3px 0 0 3px;
    border: 1px solid #043055;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 6;
    transition: right .5s ease-out;
    /*  full screen mode */
    top: 25%;
    z-index: 10000;
}

#mapContainer.open .hamburger {
    right: 365px;
}

#mapContainer.toggle-results .hamburger {
    right: 0;
}

#searchIcon {
    font-size: 20px;
    color: white;
}
/*  full screen mode */
/*.leaflet-container {
    font: inherit;
}*/

.leaflet-container {
    font: 16px "Assistant", sans-serif;
}

.facetsHeader {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: rgba(0,0,0,0.1);
    padding: 10px;
}

    .facetsHeader i {
        margin-left: 7px;
        font-size: 24px;
        cursor: pointer;
    }

#marker-cluster-list-content p.location {
    display: none;
}

li.facetItem div.selectYearContainer {
    display: flex;
    flex-direction: column;
    max-width: 33.3%;
    align-items: flex-start;
    padding-left: 14px;
    align-self: flex-end;
}

#GeoSearchResultsSection button.selectYearsBtn {
    max-width: 33.3%;
    width: 33.3%;
    background: rgba(4, 48, 85,0.4);
    border-radius: 6px;
    color: #043055;
    font-weight: 600;
    align-self: stretch;
}

.selectYearContainer input {
    border: unset;
    overflow: hidden;
    max-width: 100%;
    border-bottom: 1px solid #043055;
}

    .selectYearContainer input:focus-visible {
        outline: unset;
    }

.selectYearContainer:focus-within span {
    font-weight: 600;
}

.rotateDown {
    transform: rotateX(180deg);
}

.pagingContainer {
    bottom: -1px;
    background: white;
    height: 50px;
    width: 100%;
    border-top: 1px solid #dadce0;
    border-bottom: 1px solid #dadce0;
    padding: 8px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: bold;
}

.hide {
    display: none !important;
}

.facetsActionContainer {
    background: white;
    height: 62px;
    width: 100%;
    border-top: 1px solid #dadce0;
    display: flex !important;
    align-items: center;
    justify-content: space-evenly;
    box-shadow: 0px -3px 6px rgba(0,0,0,0.16);
}


#GeoSearchResultsSection .facetsActionContainer button.applyFacets {
    font-size: 18px;
    padding: 8px 0 9px;
    width: 113px;
    height: 40px;
    line-height: 1;
    border-radius: 8px;
    font-weight: 600;
    color: #FFF;
    display: flex;
    background: #021D33;
    align-items: center;
    justify-content: center;
}

#GeoSearchResultsSection .facetsActionContainer button.clearFacets {
    font-size: 18px;
    padding: 8px 0 9px;
    width: 113px;
    height: 40px;
    line-height: 1;
    border-radius: 8px;
    font-weight: 600;
    color: #021D33;
    background: #fff;
    display: flex;
    border: 1px solid #021D33;
    align-items: center;
    justify-content: center;
}



.arrowContainer {
    display: flex;
    width: 85px;
    justify-content: space-evenly;
}

    .arrowContainer i {
        font-size: 18px;
        cursor: pointer;
        color: rgba(0,0,0,0.6);
    }

        .arrowContainer i:hover {
            color: black;
        }

#toolbar li.activeFacetsContainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    cursor: default;
}

.activeFacet {
    cursor: default;
    position: relative;
    color: #043055;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    overflow-x: hidden;
}

    .activeFacet .facetWrapper {
        background: rgba(4, 48, 85,0.2);
        padding: 5px 10px;
        margin: 7px 4px;
        border-radius: 4px;
        display: flex;
        gap: 8px;
    }

    .activeFacet span {
        font-weight: 600;
        font-size: 1em;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    .activeFacet i {
        cursor: pointer;
    }

        .activeFacet i:hover {
            color: rgba(4, 48, 85,0.2);
        }

    .activeFacet .facetWrapper:hover {
        background: rgba(4, 48, 85,0.4);
    }

.activeFacetsTitle {
    font-size: 22px;
    font-weight: 600;
    padding-bottom: 6px;
    color: #043055;
}

.facetCount {
    border-radius: 4px;
    background: #f3f3f3;
    border: 1px solid #e5e5e5;
    font-size: 14px;
    line-height: 1;
    padding: 1px 4px 2px;
    font-weight: 400;
}

#resutls h4, .facetsHeader h4 {
    padding-right: 10px;
    margin: 0;
}

#resultsList li:first-child {
    padding-top: 12px;
}

#facetsList li.facetGroup {
    margin-top: 18px;
}

    #facetsList li.facetGroup:first-child {
        margin-top: unset;
    }

#resutls .topSectionWrapper {
    display: flex;
    flex-direction: column;
}

span.resultsMessagesContainer {
    z-index: 1;
    /*  full screen mode */
    z-index: 9999;
}

    span.resultsMessagesContainer label {
        margin-bottom: unset;
    }

.btnLocTypes {
    position: absolute;
    bottom: 0px;
    z-index: 999;
    left: 0;
    margin: 10px;
    display: flex;
    gap: 5px;
    flex-direction: row;
    flex-direction: row-reverse;
    cursor: pointer;
    height: 43px;
}
    .btnLocTypes .btnLayer {
        display: flex;
        flex-direction: row-reverse;
        justify-content: flex-end;
        align-items: baseline;
        border: 2px solid rgba(0, 0, 0, 0.2);
        background-clip: padding-box;
        border-radius: 6px;
        padding: 4px;
        background-color: white;
    }
    .btnLocTypes .layerIcn {
        position: relative;
        outline: none;
    }
        .btnLocTypes .layerIcn .circle {
            width: 9px;
            height: 9px;
            background: white;
            border-radius: 50%;
            position: absolute;
            top: 20%;
            left: calc(50% - 4.5px);
        }

#GeoSearchResultsSection .btnLocTypes #hideLocTypes {
    background: white;
    opacity: 0.8;
    border: 2px solid rgba(0, 0, 0, 0.2);
    background-clip: padding-box;
    border-radius: 6px;
    display: flex;
    justify-content: flex-end;
    align-content: flex-end;
    align-items: center;
}
#GeoSearchResultsSection .btnLocTypes #arrow {
    fill: black;
}

#GeoSearchResultsSection .btnLocTypes #locTypesIcon{
    display:none;
}
#GeoSearchResultsSection .btnLocTypes #locTypesSvg {
    width: 24px;
    height: 41px;
}
.rotate {
    transform: rotate(180deg); /* Rotate 180 degrees */
}
    #GeoSearchResultsSection .btnLocTypes .layerIcn svg {
        width: 30px;
        height: 30px;
    }
.btnLocTypes #showC_layer .layerIcn svg  {
    fill: var(--locType-c);
}
.btnLocTypes #showS_layer .layerIcn svg  {
    fill: var(--locType-s);
}
.btnLocTypes #showW_layer .layerIcn svg  {
    fill: var(--locType-w);
}

            .floatMessageBox {
                position: absolute;
                background: white;
                padding: 14px;
                bottom: 62px;
                left: 0;
                border-radius: 8px;
                opacity: 0.8;
                color: black;
                margin-left: 10px;
                font: 16px "Assistant", sans-serif;
                max-width:366px;
                z-index: 999;
            }

    .floatMessageBox i {
        position: absolute;
        top: 0;
        right: 0;
        margin-right: 2px;
        margin-top: 2px;
        cursor: pointer;
    }

        .floatMessageBox i:hover {
            color: #69a2d1
        }

#GeoSearchResultsSection .searchAndClearContainer div.search button.mobileSearchBtn {
    display: none;
}

#GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper .returnToMapBtn {
    display: none;
}

#GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper {
    display: flex;
    width: 100%;
    height: 48px;
}

    #GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper .searchButton {
        width: 48px;
    }

        #GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper .searchButton.open {
            border-bottom-left-radius: unset;
            border-bottom-right-radius: unset;
        }

.ui-resizable-w {
    display: none !important;
}


.no-res-div, .limit-search-div, .not-from-list-div {
    display: block;
    position: absolute;
    background: white;
    padding: 16px;
    top: 75px;
    border-radius: 8px;
    opacity: 0.8;
    color: black;
    margin-bottom: 10px;
    margin-left: 10px;
    font: 16px "Assistant", sans-serif;
}

    .no-res-div i, .not-from-list-div i {
        position: absolute;
        top: 0;
        right: 0;
        margin-right: 2px;
        margin-top: 2px;
        cursor: pointer;
    }

        .no-res-div i:hover, .not-from-list-div i:hover {
            color: #69a2d1
        }

    .limit-search-div i {
        position: absolute;
        top: 0;
        right: 0;
        margin-right: 2px;
        margin-top: 2px;
        cursor: pointer;
    }

        .limit-search-div i:hover {
            color: #69a2d1
        }

.big-loader-container {
    height: 100vh;
    width: 100vw;
    position: absolute;
    display: block;
}


    .big-loader-container .spinner-border {
        height: 150px;
        width: 150px;
        position: absolute;
        left: 40%;
        top: 20%;
        color: #043055 !important;
    }

#map .road-maps {
    position: absolute;
    top: 20px;
    left: 50%;
    z-index: 999;
    background: #043055;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 75px;
    height: 75px;
    color: white;
}

    #map .road-maps:hover {
        cursor: pointer;
    }

.logo_jerusalem {
    width: 45px;
    height: 33px;
    margin: 5px;
}

    .logo_jerusalem img {
        object-fit: contain;
    }

.local-logo {
    display: block;
    height: 58px;
    width: 43px;
}

.beta-header {
    width: 100%;
    display: flex;
    height: 50px;
    padding: 0px 70px;
    /*    flex-direction: column;*/
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid #707070;
    background: #FFFAF8;
    position: fixed;
    z-index: 999;
    margin: 0;
    top: 100px;
}

footer {
    display: none !important;
}

/* Define blinking animation */
@keyframes blink {
    0%, 100% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}

/* Blink class that can be added to markers */
.marker-blink {
    animation: blink 1s ease-in-out infinite; /* Adjust duration as needed */
}

@media screen and (max-width: 1279px) {
    #map {
        height: calc(100vh - 46px);
    }

    #GeoSearchResultsSection .ListAndMapContainer {
        top: 0;
        height: 100%;
    }

    .custom-autocomplete {
        /*        top: 60px !important;*/
        width: 224px !important;
    }

    .leaflet-top.leaflet-right {
        top: 368px;
    }

    #GeoSearchResultsSection .searchAndClearContainer div.actionContainer {
        height: 40px;
    }


    #GeoSearchResultsSection .searchAndClearContainer div .clearButton {
        padding: 0px 20px;
        display: flex;
        align-items: center;
    }

    i.clearBtn {
        margin-right: 2px;
    }

    #GeoSearchResultsSection .search {
        height: 40px;
    }

    #toolbar.open {
        top: 60px;
        width: 300px;
    }

    #GeoSearchResultsSection .searchAndClearContainer div.search {
        max-width: 300px;
    }

    #toolbar.open .resultsContainer {
        width: 300px;
    }

    #toolbar.open .sideBtnsContainer {
        top: -33px;
        left: -157%;
    }

    #mapContainer.open .hamburger {
        right: 310px;
    }
}

@media screen and (max-height: 870px){
    #toolbar ul#resultsList{
        height:289px;
    }
    #toolbar ul#facetsList{
        height:289px;
    }
}

@media screen and (max-width: 1200px) {
    #map {
        height: calc(100vh - 69px);
        top: 69px;
    }

    .beta-header {
        top: 65px;
    }

    .footer.ns-footer .footer-wrapper {
        padding: 0;
    }
}

@media screen and (max-width: 991px) {

    footer {
        display: block !important;
    }

    #toolbar.open {
        width: 260px;
    }

        #toolbar.open .resultsContainer {
            width: 260px;
        }

        #toolbar.open .sideBtnsContainer {
            left: -180%;
        }


    .pagingContainer {
        font-size: 14px;
    }

    #GeoSearchResultsSection .inputContainer .clearSearchXBtn {
        width: 12%;
    }

    #mapContainer.open .hamburger {
        right: 270px;
    }
}


@media screen and (max-width: 767px) {


    #GeoSearchResultsSection .searchAndClearContainer div.actionContainer {
        height: 48px;
    }

    #GeoSearchResultsSection .searchAndClearContainer div.search button.mobileSearchBtn {
        background: #043055;
        border-radius: 50%;
        display: block;
        width: 48px;
        height: 48px;
    }

        #GeoSearchResultsSection .searchAndClearContainer div.search button.mobileSearchBtn.mobileMenu {
            display: none;
        }

    #GeoSearchResultsSection .searchAndClearContainer div.search {
        min-width: unset;
        flex: 1;
        height: unset;
    }

        #GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper {
            display: none;
        }



    #GeoSearchResultsSection .inputContainer .clearSearchXBtn {
        justify-content: center;
        width: 10%;
    }

    #GeoSearchResultsSection .inputContainer.open {
        border-bottom-right-radius: 8px;
    }

    #GeoSearchResultsSection input.autoCompleteList.open {
        border-bottom-right-radius: 8px;
    }

    #GeoSearchResultsSection input.autoCompleteList {
        width: 90%;
    }



    #GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper .searchButton.open {
        border-bottom-left-radius: 8px;
    }

    .big-loader-container {
        margin: 100% auto;
        display: flex;
        align-items: center;
        justify-content: flex-end;
        flex: 0 !important;
        position: static;
        height: unset;
        width: unset;
    }

        .big-loader-container .spinner-border {
            height: 150px;
            width: 150px;
            top: 50%;
        }

    /* ********** For open Mobile search modal ************* */
    #GeoSearchResultsSection.mobileMenu {
        margin-top: 0;
    }

        #GeoSearchResultsSection.mobileMenu .searchAndClearContainer {
            background: white;
            right: 0;
            top: 0;
            width: 100%;
        }

            #GeoSearchResultsSection.mobileMenu .searchAndClearContainer div.search {
                margin-right: 0px;
                max-width: 100%;
            }


            #GeoSearchResultsSection.mobileMenu .searchAndClearContainer div.actionContainer {
                display: none;
            }

            #GeoSearchResultsSection.mobileMenu .searchAndClearContainer div.search .searchWrapper {
                margin: 10px 10px;
                height: 48px;
                display: flex;
                min-width: 331px;
            }

                #GeoSearchResultsSection.mobileMenu .searchAndClearContainer div.search .searchWrapper .returnToMapBtn {
                    display: block;
                    border-radius: unset;
                    background: unset;
                    padding: 0 0 0 6px;
                    font-size: 24px;
                }

        #GeoSearchResultsSection.mobileMenu .switchContent {
            margin: 5px 10px;
        }

        #GeoSearchResultsSection.mobileMenu button.selectResults {
            height: 40px;
        }

    #toolbar {
        display: none !important;
    }

        #toolbar.open {
            display: none;
        }

            #toolbar.open.mobileMenu {
                top: 68px;
                display: flex !important;
                flex-direction: column;
                width: 100%;
                height: fit-content;
                margin: 0;
                right: 0;
                flex-direction: column-reverse;
            }

                #toolbar.open.mobileMenu .resultsContainer {
                    width: 100%;
                }


            #toolbar.open .sideBtnsContainer {
                position: static;
                background: white;
                display: flex;
                align-items: center;
            }

    #mapContainer.open .hamburger {
        display: none;
    }

    .markercluster-list.leaflet-bar.leaflet-control.ui-resizable {
        left: 0 !important;
        width: 100%;
        height: 80vh;
        top: 70px !important;
    }

    #mapContainer #marker-cluster-list-content {
    }

    .popUpContainer span:not(:last-child) {
        height: 100px;
        overflow: hidden;
    }

    .custom-autocomplete {
        right: 68px !important;
        width: unset !important;
    }


}
